ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-14436) Spark ThriftServer Does Not Upgrade
Date Tue, 22 Dec 2015 01:04:46 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-14436?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15067367#comment-15067367
] 

Hudson commented on AMBARI-14436:
---------------------------------

FAILURE: Integrated in Ambari-branch-2.2 #88 (See [https://builds.apache.org/job/Ambari-branch-2.2/88/])
AMBARI-14436 - Spark ThriftServer Does Not Upgrade (jonathanhurley) (jhurley: [http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=782cbb334067737890824c1d24220c8a7a05331f])
* ambari-server/src/main/resources/stacks/HDP/2.3/upgrades/nonrolling-upgrade-2.3.xml
* ambari-server/src/main/resources/stacks/HDP/2.3/upgrades/upgrade-2.3.xml


> Spark ThriftServer Does Not Upgrade
> -----------------------------------
>
>                 Key: AMBARI-14436
>                 URL: https://issues.apache.org/jira/browse/AMBARI-14436
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.4.0
>            Reporter: Jonathan Hurley
>            Assignee: Jonathan Hurley
>            Priority: Blocker
>             Fix For: 2.4.0
>
>         Attachments: AMBARI-14436.patch
>
>
> The blueprint is deploying SPARK_THRIFTSERVER
> {code}
> {
> "name": "SPARK_THRIFTSERVER"
> },
> {code}
> The failure is due to:
> {code}
> The following components were found to have version mismatches.  Finalize will not complete
successfully:
> os-s11-3-dzcnju-ambari-eu-1-2.novalocal: SPARK/SPARK_THRIFTSERVER reports 2.3.2.0-2950
> os-s11-3-dzcnju-ambari-eu-1-4.novalocal: SPARK/SPARK_THRIFTSERVER reports 2.3.2.0-2950
> os-s11-3-dzcnju-ambari-eu-1-5.novalocal: SPARK/SPARK_THRIFTSERVER reports 2.3.2.0-2950
> {code}
> This is because the STS is not part of any upgrade packs. Since it first appeared in
HDP 2.3.2, the 2 upgrade packs for HDP 2.3 -> 2.3+ should be updated to include STS.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message